Thread (1 message) 1 message, 1 author, 2016-06-15

Re: [PATCH 2/2] difftool --dir-diff: symlink all files matching the working tree

From: Junio C Hamano <hidden>
Date: 2016-06-15 22:56:23

John Keeping [off-list ref] writes:
+write_script .git/CHECK_SYMLINKS <<\EOF &&
+#!/bin/sh
+test -L "$2/file" &&
+test -L "$2/file2" &&
+test -L "$2/sub/sub"
+echo $?
+EOF
Please drop "#!/bin/sh" from the above; it is misleading and
pointless.

After all, you are using "write_script" to avoid having to know
where the user's shell is.
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help